| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Signals | Public Member Functions | List of all members
Digikam::BWSepiaSettings Class Reference
Inheritance diagram for Digikam::BWSepiaSettings:

## Signals
void | signalSettingsChanged ()

## Public Member Functions
| BWSepiaSettings (QWidget *const parent, DImg *const img)
CurvesBox * | curvesBox () const
BWSepiaContainer | defaultSettings () const
void | loadSettings ()
void | readSettings (KConfigGroup &group)
void | resetToDefault ()
void | saveAsSettings ()
void | setScaleType (HistogramScale scale)
void | setSettings (const BWSepiaContainer &settings)
BWSepiaContainer | settings () const
void | startPreviewFilters ()
void | writeSettings (KConfigGroup &group)